<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_user = mysql_fetch_array($result);
		else go(URL);
}
else go(URL);


$title = $arr_user['name'].' '.$arr_user['surname'].' :: '.lang('Информация','Інформація');
if ($window == false) require_once '../incfiles/head.php';

echo user_access_page($arr_user);

echo '<div class="title"><div class="for_pc right"><a href="" onclick="Window.Close(); return false"><img src="'.URL.'/design/img/del.png"/></a></div><a class="title_a_hover" href="'.URL.'/?id='.$id.'" onclick="Page.Go(this.href); return false">'.$arr_user['name'].' '.$arr_user['surname'].'</a></div>';


echo '<div id="title">'.lang('Информация','Інформація');
if ($user_id == $arr_user['id']) echo '<div class="right"><a href="'.URL.'/user/settings.php" onclick="Page.Go(this.href); return false">ред.</a></div>';
echo '</div><div class="block">';
if (!empty($arr_user['region']))
{
	echo lang('Место жительства','Місце проживання').': ';
	$array = mysql_fetch_array(mysql_query("SELECT * FROM `region` WHERE `id` = '".$arr_user['region']."' LIMIT 1")); 
	echo $arr_user['city'].' ('.lang($array['ru_name'],$array['ua_name']).' обл.)<br/>';
}
if (!empty($arr_user['day']))
{
	echo lang('День рождения','День народження').': '.$arr_user['day'].' '.hb($arr_user['month']);
	if ($arr_user['hide_year'] == 0) echo ' '.$arr_user['year'].'<br/>'.lang('Возраст','Вік').': '.age($arr_user['day'],$arr_user['month'],$arr_user['year']).'<br/>'; else echo '<br/>';
}
	if (!empty($arr_user['family'])) echo lang('Семейное положение','Сімейний стан').': '.sp($arr_user['family'],$arr_user['sex']).'<br/>';
	if (!empty($arr_user['hobi'])) echo lang('Увлечения','Захоплення').': '.$arr_user['hobi'].'<br/>';
	if (!empty($arr_user['about'])) echo lang('О себе','Про себе').': '.$arr_user['about'].'<br/>';

	echo '</div><div id="title">'.lang('Контакты','Контакти');
	if ($user_id == $arr_user['id']) echo '<div class="right"><a href="'.URL.'/user/settings.php?act=contacts" onclick="Page.Go(this.href); return false">ред.</a></div>';
	echo '</div><div class="block">';
	if (!empty($arr_user['tel'])) echo 'Моб.телефон: '.$arr_user['tel'].'<br/>';
	if (!empty($arr_user['icq'])) echo 'ICQ: '.$arr_user['icq'].'<br/>';
	if (!empty($arr_user['email'])) echo 'E-mail: '.$arr_user['email'].'<br/>';
	if (!empty($arr_user['skype'])) echo 'Skype: '.$arr_user['skype'].'<br/>';

echo '</div>';

require_once '../incfiles/foot.php';

?>